Tspi_TPM_KillMaintenanceFeature(3)

TCG Software Stack Developer's Reference

NAME
Tspi_TPM_KillMaintenanceFeature - Disables the ability to create a maintenance archive

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_TPM_KillMaintenanceFeature(TSS_HTPM hTPM);

DESCRIPTION

Tspi_TPM_KillMaintenanceFeature disables the functionality of creating a maintenance archive. This feature is not yet implemented.

PARAMETERS

  hTPM
The hTPM parameter is used to specify the handle of the TPM object.

RETURN CODES

Tspi_TPM_KillMaintenanceFeature returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hTPM is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_NOTIMPL
    The function is not implemented.

CONFORMING TO

Tspi_TPM_KillMaintenanceFeature conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_TPM_CreateMaintenanceArchive(3), Tspi_TPM_LoadMaintenancePubKey(3), Tspi_TPM_CheckMaintenancePubKey(3).